MWParserInternal::WindowsInfo Struct Reference

the windows structure More...

## Public Member Functions

| WindowsInfo ()
bool | isEmpty () const
| small function used to recognized empty header or footer More...

## Public Attributes

Vec2i | m_startSel
Vec2i | m_endSel
int | m_posTopY
std::vector< Information > | m_informations
std::vector< int > | m_firstParagLine
std::vector< int > | m_linesHeight
Vec2i | m_pageNumber
Vec2i | m_date
Vec2i | m_time

## Friends

std::ostream & | operator<< (std::ostream &o, WindowsInfo const &w)

## Detailed Description

the windows structure

## Constructor & Destructor Documentation

MWParserInternal::WindowsInfo::WindowsInfo | ( |  | ) |

inline

## Member Function Documentation

bool MWParserInternal::WindowsInfo::isEmpty | ( |  | ) | const

inline

small function used to recognized empty header or footer

Referenced by MWParser::createZones().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | WindowsInfo const & | w
| ) |  |

friend

## Member Data Documentation

Vec2i MWParserInternal::WindowsInfo::m_date

Referenced by isEmpty(), MWParserInternal::operator<<(), MWParser::readWindowsInfo(), and MWParser::sendWindow().

Vec2i MWParserInternal::WindowsInfo::m_endSel

Referenced by MWParserInternal::operator<<(), and MWParser::readWindowsInfo().

std::vector<int> MWParserInternal::WindowsInfo::m_firstParagLine

Referenced by MWParser::readWindowsInfo(), and MWParser::sendWindow().

std::vector<Information> MWParserInternal::WindowsInfo::m_informations

Referenced by MWParser::createZones(), MWParser::createZonesV3(), isEmpty(), and MWParser::sendWindow().

std::vector<int> MWParserInternal::WindowsInfo::m_linesHeight

Referenced by MWParser::sendWindow().

Vec2i MWParserInternal::WindowsInfo::m_pageNumber

Referenced by isEmpty(), MWParserInternal::operator<<(), MWParser::readWindowsInfo(), and MWParser::sendWindow().

int MWParserInternal::WindowsInfo::m_posTopY

Referenced by MWParserInternal::operator<<(), and MWParser::readWindowsInfo().

Vec2i MWParserInternal::WindowsInfo::m_startSel

Referenced by MWParserInternal::operator<<(), and MWParser::readWindowsInfo().

Vec2i MWParserInternal::WindowsInfo::m_time

Referenced by isEmpty(), MWParserInternal::operator<<(), MWParser::readWindowsInfo(), and MWParser::sendWindow().

The documentation for this struct was generated from the following file:

- MWParser.cxx